<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="x-ua-compatible" content="IE=edge" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>multibase | vdoc</title>
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
		<link href="https://fonts.googleapis.com/css2?family=Work+Sans:wght@400;500;600&display=swap" rel="stylesheet">
		<link rel="apple-touch-icon" sizes="180x180" href="apple-touch-icon.png">
		<link rel="icon" type="image/png" sizes="32x32" href="favicon-32x32.png">
		<link rel="icon" type="image/png" sizes="16x16" href="favicon-16x16.png">
		<link rel="manifest" href="site.webmanifest">
		<link rel="mask-icon" href="safari-pinned-tab.svg" color="#5bbad5">
		<meta name="msapplication-TileColor" content="#da532c">
		<meta name="theme-color" content="#ffffff">
		
		<link rel="stylesheet" href="doc.css" />
		<link rel="stylesheet" href="normalize.css" />
		<script src="dark-mode.js"></script>
	</head>
	<body>
		<div id="page">
			<header class="doc-nav hidden">
				<div class="heading-container">
					<div class="heading">
						<div class="info">
							<div class="module">multibase</div>
							<div class="toggle-version-container">
								<span></span>
								<div id="dark-mode-toggle" role="switch" aria-checked="false" aria-label="Toggle dark mode"><svg xmlns="http://www.w3.org/2000/svg" class="light-icon" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0z" fill="none"/><path d="M6.76 4.84l-1.8-1.79-1.41 1.41 1.79 1.79 1.42-1.41zM4 10.5H1v2h3v-2zm9-9.95h-2V3.5h2V.55zm7.45 3.91l-1.41-1.41-1.79 1.79 1.41 1.41 1.79-1.79zm-3.21 13.7l1.79 1.8 1.41-1.41-1.8-1.79-1.4 1.4zM20 10.5v2h3v-2h-3zm-8-5c-3.31 0-6 2.69-6 6s2.69 6 6 6 6-2.69 6-6-2.69-6-6-6zm-1 16.95h2V19.5h-2v2.95zm-7.45-3.91l1.41 1.41 1.79-1.8-1.41-1.41-1.79 1.8z"/></svg>
<svg xmlns="http://www.w3.org/2000/svg" class="dark-icon" enable-background="new 0 0 24 24" height="24" viewBox="0 0 24 24" width="24"><g><rect fill="none" height="24" width="24"/></g><g><g><g><path d="M11.1,12.08C8.77,7.57,10.6,3.6,11.63,2.01C6.27,2.2,1.98,6.59,1.98,12c0,0.14,0.02,0.28,0.02,0.42 C2.62,12.15,3.29,12,4,12c1.66,0,3.18,0.83,4.1,2.15C9.77,14.63,11,16.17,11,18c0,1.52-0.87,2.83-2.12,3.51 c0.98,0.32,2.03,0.5,3.11,0.5c3.5,0,6.58-1.8,8.37-4.52C18,17.72,13.38,16.52,11.1,12.08z"/></g><path d="M7,16l-0.18,0C6.4,14.84,5.3,14,4,14c-1.66,0-3,1.34-3,3s1.34,3,3,3c0.62,0,2.49,0,3,0c1.1,0,2-0.9,2-2 C9,16.9,8.1,16,7,16z"/></g></g></svg>
</div>
							</div>
							<svg xmlns="http://www.w3.org/2000/svg" id="toggle-menu" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0z" fill="none"/><path d="M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"/></svg>

						</div>
						<input type="text" id="search" placeholder="Search... (beta)" autocomplete="off">
					</div>
				</div>
				<nav class="search hidden"></nav>
				<nav class="content hidden">
					<ul>
						<li class="open"><a href="#bin_decode">fn bin_decode</a>        <ul>
</ul>
</li>
<li class="open"><a href="#bin_decode_byte">fn bin_decode_byte</a>        <ul>
</ul>
</li>
<li class="open"><a href="#bin_encode">fn bin_encode</a>        <ul>
</ul>
</li>
<li class="open"><a href="#bin_encode_byte">fn bin_encode_byte</a>        <ul>
</ul>
</li>
<li class="open"><a href="#decode">fn decode</a>        <ul>
</ul>
</li>
<li class="open"><a href="#encode">fn encode</a>        <ul>
</ul>
</li>
<li class="open"><a href="#Encodings">enum Encodings</a>        <ul>
</ul>
</li>

					</ul>
				</nav>
			</header>
			<div class="doc-scrollview">
				<div class="doc-container">
					<div class="doc-content">
						<section id="multibase" class="doc-node">
							<div class="title"><h1> multibase</h1></div>

</section>

						<section id="bin_decode" class="doc-node">
							<div class="title"><h2>fn bin_decode <a href="#bin_decode">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">bin_decode</span><span class="token punctuation">(</span>input <span class="token builtin">string</span><span class="token punctuation">)</span> <span class="token builtin">string</span></code></pre>
<p>bin_decode decodes a binary string into ASCII string</p>

</section>
						<section id="bin_decode_byte" class="doc-node">
							<div class="title"><h2>fn bin_decode_byte <a href="#bin_decode_byte">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">bin_decode_byte</span><span class="token punctuation">(</span>n <span class="token builtin">int</span><span class="token punctuation">)</span> <span class="token builtin">byte</span></code></pre>
<p>bin_decode_byte decodes a binary integer into a single byte</p>

</section>
						<section id="bin_encode" class="doc-node">
							<div class="title"><h2>fn bin_encode <a href="#bin_encode">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">bin_encode</span><span class="token punctuation">(</span>input <span class="token builtin">string</span><span class="token punctuation">)</span> <span class="token builtin">string</span></code></pre>
<p>bin_encode encodes a string of ASCII characters into binary string</p>

</section>
						<section id="bin_encode_byte" class="doc-node">
							<div class="title"><h2>fn bin_encode_byte <a href="#bin_encode_byte">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">bin_encode_byte</span><span class="token punctuation">(</span>b <span class="token builtin">byte</span><span class="token punctuation">)</span> <span class="token builtin">string</span></code></pre>
<p>bin_encode_byte encodes a single byte into a binary string</p>

</section>
						<section id="decode" class="doc-node">
							<div class="title"><h2>fn decode <a href="#decode">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">decode</span><span class="token punctuation">(</span>base Encodings<span class="token punctuation">,</span> data <span class="token builtin">string</span><span class="token punctuation">)</span> ?<span class="token builtin">string</span></code></pre>
<p>decode decodes a given string with the selected encoding  and returns decoded value. Can also return error from decoding  functions or if given string is 0 in length.</p>

</section>
						<section id="encode" class="doc-node">
							<div class="title"><h2>fn encode <a href="#encode">#</a></h2></div><pre class="signature"><code><span class="token keyword">fn</span> <span class="token function">encode</span><span class="token punctuation">(</span>base Encodings<span class="token punctuation">,</span> data <span class="token builtin">string</span><span class="token punctuation">)</span> ?<span class="token builtin">string</span></code></pre>
<p>encode encodes a given string with the selected encoding  and returns encoded value. Can also return error from encoding  functions or if given string is 0 in length.</p>

</section>
						<section id="Encodings" class="doc-node">
							<div class="title"><h2>enum Encodings <a href="#Encodings">#</a></h2></div><pre class="signature"><code><span class="token keyword">enum</span> <span class="token symbol">Encodings</span> <span class="token punctuation">{</span>
	identity <span class="token operator">=</span> <span class="token number">0x00</span>
	base2 <span class="token operator">=</span> <span class="token number">0x30</span>
	base16 <span class="token operator">=</span> <span class="token number">0x66</span>
	base16_upper <span class="token operator">=</span> <span class="token number">0x46</span>
	base32 <span class="token operator">=</span> <span class="token number">0x62</span>
	base32_upper <span class="token operator">=</span> <span class="token number">0x42</span>
	base32_pad <span class="token operator">=</span> <span class="token number">0x63</span>
	base32_pad_upper <span class="token operator">=</span> <span class="token number">0x43</span>
	base32_hex <span class="token operator">=</span> <span class="token number">0x76</span>
	base32_hex_upper <span class="token operator">=</span> <span class="token number">0x56</span>
	base32_hex_pad <span class="token operator">=</span> <span class="token number">0x74</span>
	base32_hex_pad_upper <span class="token operator">=</span> <span class="token number">0x54</span>
	base36 <span class="token operator">=</span> <span class="token number">0x6b</span>
	base36_upper <span class="token operator">=</span> <span class="token number">0x4b</span>
	base58_btc <span class="token operator">=</span> <span class="token number">0x7a</span>
	base58_flickr <span class="token operator">=</span> <span class="token number">0x5a</span>
	base64 <span class="token operator">=</span> <span class="token number">0x6d</span>
	base64_url <span class="token operator">=</span> <span class="token number">0x55</span>
<span class="token punctuation">}</span></code></pre>
<p>Encodings are the available base encodings that multibase supports.</p>

</section>

						<div class="footer">
							Powered by vdoc. Generated on: 13 Apr 2021 14:51:58
						</div>
					</div>
					
				</div>
			</div>
		</div>
		<script src="doc.js"></script>
		<script async src="search_index.js" type="text/javascript"></script>
	</body>
</html>